# Generated by Django 2.1.1 on 2018-09-25 16:33

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Cliente',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=30)),
                ('last_name', models.CharField(max_length=30)),
                ('email', models.EmailField(help_text='A valid email address, please.', max_length=254)),
                ('age', models.DateField(blank=True, null=True)),
                ('photo', models.ImageField(blank=True, null=True, upload_to='clientes_photos')),
            ],
        ),
        migrations.CreateModel(
            name='Endereco',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.CharField(max_length=2)),
                ('cidade', models.CharField(max_length=15)),
                ('logradouro', models.CharField(max_length=200)),
                ('numero', models.IntegerField()),
                ('complemento', models.CharField(max_length=20)),
                ('bairro', models.CharField(max_length=20)),
                ('cep', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Insignias',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome_grupo', models.CharField(max_length=30)),
                ('photo', models.ImageField(blank=True, null=True, upload_to='insignia_clientes')),
                ('descricao', models.TextField(max_length=999)),
            ],
        ),
        migrations.CreateModel(
            name='Pedido',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data_pedido', models.DateField()),
                ('tipo_pedido', models.CharField(max_length=30)),
            ],
        ),
    ]
